Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451030 - system-config-display does not start
Summary: system-config-display does not start
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display
Version: 9
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 14:33 UTC by Karel Volný
Modified: 2018-04-11 17:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-16 20:53:04 UTC


Attachments (Terms of Use)
Xorg.0.log (deleted)
2008-06-16 11:05 UTC, Karel Volný
no flags Details

Description Karel Volný 2008-06-12 14:33:45 UTC
Description of problem:
When trying to run system-config-display, it refuses to start saying that it
cannot find video card, although I am obviously having one as I am sitting at
the machine locally, running X and staring at the monitor writing this report ...

Version-Release number of selected component (if applicable):
system-config-display-1.0.51-9.fc9.noarch

How reproducible:
always

Steps to Reproduce:
1. run system-config-display
  
Actual results:
# system-config-display
No video cards were found on this machine, exiting

Expected results:
system-config-display opens its window and allows me to reconfigure the display

Additional info:
# lspci
...
07:00.0 VGA compatible controller: nVidia Corporation NV44 [Quadro NVS 285] (rev a1)
...

- just ask for info, I do not know what may be useful to debug

btw, trying to run system-config-display with the "-v" option does not say
anything more, although reading the help: "-v, --verbose     display what the
program is doing more verbosely" ...

Comment 1 Matěj Cepl 2008-06-15 19:31:05 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt, please?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Karel Volný 2008-06-16 11:05:54 UTC
Created attachment 309479 [details]
Xorg.0.log

Comment 3 Karel Volný 2008-06-16 11:08:41 UTC
Here's the log from starting X without xorg.conf - btw, is that ok that the "nv"
driver is selected? (I thought that "nouveau" is preferred ...)

Comment 4 Matěj Cepl 2008-06-16 14:23:02 UTC
(In reply to comment #3)
> Here's the log from starting X without xorg.conf - btw, is that ok that the "nv"
> driver is selected? (I thought that "nouveau" is preferred ...)

No, nouveau is not considered stable enough.

Comment 5 Ola Thoresen 2008-07-03 14:34:04 UTC
Same problem here:

# system-config-display
No video cards were found on this machine, exiting

lspci -v:

03:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon
X1300/X1550 Series] (prog-if 00 [VGA controller])
	Subsystem: Dell Device 0d02
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fddf0000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at bc00 [size=256]
	[virtual] Expansion ROM at fdd00000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Endpoint, MSI 00
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-

03:00.1 Display controller: ATI Technologies Inc RV516 [Radeon X1300 Pro]
(Secondary)
	Subsystem: Dell Device 0d03
	Flags: fast devsel
	Memory at fdde0000 (64-bit, non-prefetchable) [disabled] [size=64K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Endpoint, MSI 00



No xorg.conf, but X autodetects the display just fine:

(--) PCI:*(0@3:0:0) ATI Technologies Inc RV516 [Radeon X1300/X1550 Series] rev
0, Mem @ 0xd0000000/268435456, 0xfddf0000/65536, I/O @ 0x0000bc00/256, BIOS @
0x????????/131072
(--) PCI: (0@3:0:1) ATI Technologies Inc RV516 [Radeon X1300 Pro] (Secondary)
rev 0, Mem @ 0xfdde0000/65536
(==) Matched ati for the autoconfigured driver
New driver is "ati"
(==) Using default built-in configuration (30 lines)
(==) --- Start of built-in configuration ---
        Section "Device"
                Identifier      "Builtin Default ati Device 0"
                Driver  "ati"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default ati Screen 0"
                Device  "Builtin Default ati Device 0"
        EndSection
        Section "Device"
                Identifier      "Builtin Default fbdev Device 0"
                Driver  "fbdev"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default fbdev Screen 0"
                Device  "Builtin Default fbdev Device 0"
        EndSection
        Section "Device"
                Identifier      "Builtin Default vesa Device 0"
                Driver  "vesa"
        EndSection
        Section "Screen"
                Identifier      "Builtin Default vesa Screen 0"
                Device  "Builtin Default vesa Device 0"
        EndSection
        Section "ServerLayout"
                Identifier      "Builtin Default Layout"
                Screen  "Builtin Default ati Screen 0"
                Screen  "Builtin Default fbdev Screen 0"
                Screen  "Builtin Default vesa Screen 0"
        EndSection
(==) --- End of built-in configuration ---


Comment 6 António Lima 2008-11-29 19:07:53 UTC
I've got the same problem but I'm using the nvidia proprietary driver from rpm fusion repository. I'm running fedora 10. Here's the output:

amrlima@Gert:~$ system-config-display

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 312, in <module>
    hardware_state = XF86HardwareState(xconfig)
  File "/usr/lib/python2.5/site-packages/rhpxl/xhwstate.py", line 174, in __init__
    self.init_from_xconfig(xconfig)
  File "/usr/lib/python2.5/site-packages/rhpxl/xhwstate.py", line 260, in init_from_xconfig
    if screen.device:
AttributeError: 'NoneType' object has no attribute 'device'


This is by the way my first bug comment in Fedora.

Comment 7 Adam Jackson 2008-12-16 20:53:04 UTC
Fixed in rhpxl 1.10, coming soon to a rawhide near you.


Note You need to log in before you can comment on or make changes to this bug.